#[=============================[.rst:
FindCoreUtils
----------

finds coreutils. crazy, isnt it?

Imported Targets
^^^^^^^^^^^^^^^

Provides the following imported targets:

``CoreUtils::dd``
  The dd command

Result Variables
^^^^^^^^^^^^^^^^

Defines the following variables:

``CoreUtils_FOUND``
  True if the system has coreutils
``CoreUtils_dd_EXECUTABLE``
  Path to dd

#]=============================]

include(FindPackageHandleStandardArgs)

# dd
find_program(CoreUtils_dd_EXECUTABLE
	NAMES dd
)

find_package_handle_standard_args(CoreUtils
	FOUND_VAR CoreUtils_FOUND
	REQUIRED_VARS
		CoreUtils_dd_EXECUTABLE
)

# coreutils really only looks good lowercase, but it doesnt fit with cmakes other stuff then
if (CoreUtils_Found)
	# add dd
	add_executable(CoreUtils::dd UNKNOWN IMPORTED)
	set_target_properties(CoreUtils::dd PROPERTIES
		IMPORTED_LOCATION "${CoreUtils_dd_EXECUTABLE}"
	)
endif()
